<h3>Usuarios</h3>
<div class="row">
    <div class="col-xs-12">
        <div class="box-body">
            <a routerLink="/usuario/add" class="btn btn-primary">
                Adicionar
                <i class="fa fa-fw fa-plus"></i>
            </a>
        </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12">
        <div class="box box-success">
            <div class="box-header">
                <h3 class="box-title">Lista</h3>
            </div><!-- /.box-header -->
            <div class="box-body">

                <p-table [value]="usuarios" [paginator]="true" [rows]="10">
                    <ng-template pTemplate="header">
                        <tr>
                            <th>Login</th>
                            <th>Nome</th>
                            <th>Email</th>
                            <th style="width: 200px">Ação</th>
                        </tr>
                    </ng-template>
                    <ng-template pTemplate="body" let-usuario>
                        <tr>
                            <td>{{usuario.login}}</td>
                            <td>{{usuario.pessoa.nome}}</td>
                            <td>{{usuario.pessoa.email}}</td>
                            <td style="text-align: center">
                                <a [routerLink]="['/usuario', usuario.id]" class="btn btn-primary"><i class="fa fa-edit"></i></a>
                                            
                                <button type="submit" (click)="prepararExcluir(usuario)" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-trash-o"></i></button>        
                            </td>
                        </tr>
                    </ng-template>
                </p-table>

            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div><!-- /.col -->
  </div><!-- /.row -->

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
<div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Confirmação</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <h3>Tem certeza que seja excluir ? </h3>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
        <button type="button" (click)="excluir()" data-dismiss="modal" class="btn btn-primary">Sim</button>
    </div>
    </div>
</div>
</div>